#!/bin/bash
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

# Note: Also called from Debian
# Arguments:

# RPM
# $1 == 1 - install package
# $1 == 2 - upgrade package

# DEB
# $1 == configure - RPM post/posttrans

# "mod_lsapi POST INSTALL STARTED"

rhel=$2           # 0%{?rhel}

if [[ $rhel -lt 7 ]]; then
  /sbin/chkconfig --add lsapi-cache
else
  systemctl enable lsapi-cache.service >/dev/null 2>&1
fi

for ver in 81 56 70 71 72 73 74 80 82 83
do
    lsphpbin="/opt/alt/php${ver}/usr/bin/lsphp"
    if [ -x "$lsphpbin" ]; then
        if [ ! -e /usr/local/bin/lsphp ]; then
            cp -f "$lsphpbin" /usr/local/bin/lsphp
        elif [ -L /usr/local/bin/lsphp ]; then
            mv -f /usr/local/bin/lsphp /usr/local/bin/lsphp.PREV
            cp -f "$lsphpbin" /usr/local/bin/lsphp
        fi
        break
    fi
done

# "mod_lsapi POST INSTALL FINISHED"
exit 0
